# bash brogrammable completion for various Common Lisp implementations by
# Nikodemus Siivola <nikodemus@random-state.net>

have clisp &&
_clisp()
{
    local cur

    COMPREPLY=()
    _get_comp_words_by_ref cur

    # completing an option (may or may not be separated by a space)
    if [[ "$cur" == -* ]]; then
    COMPREPLY=( $( compgen -W '-h --help --version --license -B -K \
        -M -m -L -N -E -q --quiet --silent -w -I -ansi \
         -traditional -p -C -norc -i -c -l -o -x ' -- "$cur" ) )
    else
        _filedir
    fi

    return 0
} &&
complete -F _clisp -o default clisp

# Local variables:
# mode: shell-script
# sh-basic-offset: 4
# sh-indent-comment: t
# indent-tabs-mode: nil
# End:
# ex: ts=4 sw=4 et filetype=sh
